#include "font_atlas.h"

#include "interface/font_interface.h"

char_key_t::char_key_t(uint32_t in_glyph_index, const std::shared_ptr<font_face_interface>& in_font_face,
                       float    in_font_size):
	glyph_index(in_glyph_index),
	font_face(in_font_face),
	font_size(in_font_size) {}
